GCLOUD_COMPUTE_INSTANCES_DELETE-ACCESS-CONFIG(1)

NAME

gcloud compute instances delete-access-config - delete an access configuration from a virtual machine network interface

SYNOPSIS

gcloud compute instances delete-access-config INSTANCE_NAME [--access-config-name=ACCESS_CONFIG_NAME; default="external-nat"] [--network-interface=NETWORK_INTERFACE; default="nic0"] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances delete-access-config is used to delete access configurations from network interfaces of Google Compute Engine virtual machines.

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to operate on.

FLAGS

    --access-config-name=ACCESS_CONFIG_NAME; default="external-nat"
        Specifies the name of the access configuration to delete. external-nat is used as the default if this flag is not provided.

    --network-interface=NETWORK_INTERFACE; default="nic0"
        Specifies the name of the network interface from which to delete the access configuration. If this is not provided, then nic0 is used as the default.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.